Sets the image chromaticity red primary point

- « Gmagick::setimageprofile

- Gmagick::setimagerenderingintent »

- PHP Manual
- Gmagick
- Sets the image chromaticity red primary point

# Gmagick::setimageredprimary

(PECL gmagick >= Unknown)

Gmagick::setimageredprimary — Sets the image chromaticity red primary point

### Description

public Gmagick::setimageredprimary(float `$x`, float `$y`): Gmagick

Sets the image chromaticity red primary point.

### Parameters

`x`

  The red primary x-point.

`y`

  The red primary y-point.

### Return Values

The Gmagick object on success.

### Errors/Exceptions

Throws an GmagickException on error.